Identity Verification
curl --request POST \
--url https://api.viarosandbox.com/v1/identity/verification_sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"return_url": "<string>",
"metadata": {}
}
'import requests
url = "https://api.viarosandbox.com/v1/identity/verification_sessions"
payload = {
"type": "<string>",
"return_url": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: '<string>', return_url: '<string>', metadata: {}})
};
fetch('https://api.viarosandbox.com/v1/identity/verification_sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.viarosandbox.com/v1/identity/verification_sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => '<string>',
'return_url' => '<string>',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.viarosandbox.com/v1/identity/verification_sessions"
payload := strings.NewReader("{\n \"type\": \"<string>\",\n \"return_url\": \"<string>\",\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.viarosandbox.com/v1/identity/verification_sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"<string>\",\n \"return_url\": \"<string>\",\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.viarosandbox.com/v1/identity/verification_sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"<string>\",\n \"return_url\": \"<string>\",\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_bodyIdentity & KYB Compliance
Identity Verification
Verify government-issued IDs, business registration documents, and biometric selfies using automated OCR and facial matching.
POST
/
identity
/
verification_sessions
Identity Verification
curl --request POST \
--url https://api.viarosandbox.com/v1/identity/verification_sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"return_url": "<string>",
"metadata": {}
}
'import requests
url = "https://api.viarosandbox.com/v1/identity/verification_sessions"
payload = {
"type": "<string>",
"return_url": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: '<string>', return_url: '<string>', metadata: {}})
};
fetch('https://api.viarosandbox.com/v1/identity/verification_sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.viarosandbox.com/v1/identity/verification_sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => '<string>',
'return_url' => '<string>',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.viarosandbox.com/v1/identity/verification_sessions"
payload := strings.NewReader("{\n \"type\": \"<string>\",\n \"return_url\": \"<string>\",\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.viarosandbox.com/v1/identity/verification_sessions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"<string>\",\n \"return_url\": \"<string>\",\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.viarosandbox.com/v1/identity/verification_sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"<string>\",\n \"return_url\": \"<string>\",\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_bodyPursar Identity allows you to securely verify the identities of business owners, beneficial representatives, or platform users using government-issued photo IDs (National ID, Passport, Driver’s License) and biometric liveness checks.
Create a Verification Session
string
required
The type of verification to perform:
document (National ID / Passport) or id_number (Tax ID / Business Registration).string
required
The URL to redirect the user to once they finish the hosted verification flow.
object
Key-value pairs for internal customer or application correlation.
Code Examples
curl -X POST https://api.viarosandbox.com/v1/identity/verification_sessions \
-u sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG: \
-H "Content-Type: application/json" \
-d '{
"type": "document",
"return_url": "https://example.com/identity/callback",
"metadata": {
"user_id": "usr_90210"
}
}'
import requests
url = "https://api.viarosandbox.com/v1/identity/verification_sessions"
auth = ("sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG", "")
payload = {
"type": "document",
"return_url": "https://example.com/identity/callback",
"metadata": {"user_id": "usr_90210"}
}
response = requests.post(url, auth=auth, json=payload)
print(response.json())
const axios = require('axios');
async function createVerificationSession() {
const response = await axios.post(
'https://api.viarosandbox.com/v1/identity/verification_sessions',
{
type: 'document',
return_url: 'https://example.com/identity/callback',
metadata: { user_id: 'usr_90210' }
},
{
auth: {
username: 'sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG',
password: ''
}
}
);
console.log(response.data);
}
createVerificationSession();
Response
{
"id": "vs_1a2b3c4d5e6f",
"object": "identity.verification_session",
"status": "requires_input",
"type": "document",
"url": "https://verify.viarosandbox.com/vs_1a2b3c4d5e6f",
"client_secret": "vs_1a2b3c4d5e6f_secret_7f8a9b",
"return_url": "https://example.com/identity/callback",
"created_at": "2026-11-06T12:00:00Z"
}
List Verification Sessions
GET /identity/verification_sessions
Returns a list of verification sessions initiated by your business.
cURL
curl -G https://api.viarosandbox.com/v1/identity/verification_sessions \
-u sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG:

